import { SchemaReactflowNodeWithFunctions, SchemaReactflowRelationWithFunctions } from '@graphpolaris/shared/lib/schema/model/reactflow';
import { DbAttributeDisplay } from './dbElements/dbAttributeDisplay';
import { DbNodeDisplay } from './dbElements/dbNodeDisplay';
import { DbRelations } from './dbElements/dbRelations';
import { Edge, Node } from 'reactflow';
export const DbItem = (props:{
    Name:string,
    EdgeSet:Edge[],
    NodeSet:Node<SchemaReactflowNodeWithFunctions | SchemaReactflowRelationWithFunctions>[],
    Count:number
    }) => {
        var NodeSet= {"One": {"Two":1,"Red":0,"Blue":2},"Two": {"One":2,"Red":3,"Blue":0},"Red": {"One":0, "Two":3, "Blue":0},"Blue": {"One":1,"Two":0,"Red":0}};
        var RelationNodes=["One","Two","Red","Blue"];
    return(
        <div tabIndex={props.Count} className='collapse border border-base-300 collapse-arrow'>
            <input type='checkbox' />
            <div className='collapse-title text-lg font-medium w-full flex flex-row'>
                <div className='basis-4/5'>
                    <span>{props.Name}</span>
                    <span className='text-sm text-gray-700 ml-4'>Last Modified: Other Date</span>
                </div>
                <button className='btn btn-outline basis-1/5'>Select</button>
            </div>
            <div className='collapse-content'>
                <div className='collapse collapse-arrow'>
                    <input type='checkbox' />
                    <div className='collapse-title text-lg font-medium w-full flex flex-row collapse-arrow'>
                        Attributes
                    </div>
                    <div className='collapse-content'>
                        <DbAttributeDisplay Nodes={props.NodeSet.length} Edges={props.EdgeSet.length} />   
                    </div>
                </div> 
                <div className='collapse collapse-arrow'>
                    <input type='checkbox' />
                    <div className='collapse-title text-lg font-medium w-full flex flex-row collapse-arrow'>
                        Relations
                    </div>
                    <div className='collapse-content'>
                        <DbRelations RelationNodes={props.EdgeSet}/>
                    </div>
                </div>
                <div className='collapse collapse-arrow'>
                    <input type='checkbox' />
                    <div className='collapse-title text-lg font-medium w-full flex flex-row collapse-arrow'>
                        Node Information
                    </div>
                    <div className='collapse-content'>
                        <p className='text-gray-700'> Total Nodes: {props.NodeSet.length}</p>
                        <div className='grid grid-cols-4 gap-6'>
                            <DbNodeDisplay displayNodes={props.NodeSet} totalNodes={props.NodeSet.length}/>
                        </div>
                    </div>
                </div>    
            </div>
            
        </div>
    );
};
