import { useGraphQueryResult } from '../../data-access/store';
import React, { useRef } from 'react';
import Table from './components/Table';

export const SimpleTableVis = React.memo(() => {

  const ref = useRef<HTMLDivElement>(null);

  const graphQueryResult = useGraphQueryResult();

  const nodes = graphQueryResult.nodes;
  const attributesArray = nodes.map((node) => node.attributes);

  return (
    <>
      <div className="h-full w-full overflow-hidden" ref={ref}>
        {attributesArray.length > 0 && <Table data={attributesArray} itemsPerPage ={10} />}
      </div>
    </>
  );
});

SimpleTableVis.displayName = 'SimepleTableVis';

export default SimpleTableVis;
